import https from './interface'
/* handle   默认是false； true 为自己处理请求错误（401、404、405），不交给全局处理 */

export default {
    // 新增收货地址
    addUserAddress (data) {
    	return https({
    		url: `/app/wcsc/address/addUserAddress`,
    		method: 'post',
            data
    	})
    },
    // 修改收货地址
    updateUserAddress (data) {
    	return https({
    		url: `/app/wcsc/address/updateUserAddress`,
    		method: 'put',
    		data
    	})
    },
    // 删除收货地址
    deleteUserAddress (data) {
    	return https({
    		url: `/app/wcsc/address/deleteUserAddress/${data.id}`,
    		method: 'delete'
    	})
    },
    // 查询收货地址详情
    userAddressDetail (id) {
    	return https({
    		url: `/app/wcsc/address/userAddressDetail/${id}`,
    		method: 'get'
    	})
    },
    // 查询用户收货地址列表（分页）
    getUserInfoAddressListPage () {
    	return https({
    		url: `/app/wcsc/getUserInfoAddressListPage`,
    		method: 'get'
    	})
    },
    // 查询用户默认收货地址
    getUserInfoAddressDefault () {
    	return https({
    		url: `/app/wcsc/getAddressDefault`,
    		method: 'get'
    	})
    },
    // 商品详情
    getGoodsDetail (data) {
    	return https({
    		url: `/app/wcsc/goodsDetail`,
    		method: 'get',
    		data
    	})
    },
    // 商品分类
    getCategoryList (data) {
    	return https({
    		url: `/app/wcsc/categoryList`,
    		method: 'get',
            data
    	})
    },
    // 景区商品列表
    getGoodsList (data) {
    	return https({
    		url: `/app/wcsc/goodsList`,
    		method: 'get',
    		data
    	})
    },
    // 查询订单详情
    orderdetail (orderId) {
    	return https({
    		url: `/app/wcsc/orderDetail/${orderId}`,
    		method: 'get'
    	})
    },
    // 下单
    submitOrder (data) {
        return https({
            url: `/app/wcsc/submitOrder`,
            method: 'post',
            data
        })
    },
    // 加入购物车
    addshoppingcart (data) {
        return https({
            url: `/app/wcsc/addShoppingCart`,
            method: 'post',
            data
        })
    },
    // 查看购物车
    queryCartByUser (data) {
        return https({
            url: `/app/wcsc/queryCartByUser`,
            method: 'get',
            data
        })
    },
    // 删除购物车
    deleteCart (id) {
        return https({
            url: `/app/wcsc/deleteCart/${id}`,
            method: 'delete'
        })
    },
    // 修改购物车
    updateShoppingCart (data) {
        return https({
            url: `/app/wcsc/updateShoppingCart`,
            method: 'put',
            data
        })
    },
    // 查询中国行政地区列表
    listAll (parentCode) {
    	return https({
    		url: `/app/common/listAll?parentCode=${parentCode}`,
    		method: 'get'
    	})
    },
    // 取消订单
    cancleOrder (data) {
        return https({
            url: `/app/wcsc/cancelOrder`,
            method: 'put',
            data
        })
    },
    // 获取订单列表
    getOrderList (data) {
        return https({
            url: `/app/wcsc/orderList`,
            method: 'get',
            data
        })
    },
    // 订单付款
    payOrder (orderId) {
        return https({
            url: `/app/wcsc/payOrder/${orderId}`,
            method: 'put'
        })
    },
    // 申请退款
    applyRefundOrder (data) {
        return https({
            url: `/app/wcsc/applyRefundOrder`,
            method: 'post',
            data
        })
    },
    // 快递公司列表
    getExpressList (data) {
        return https({
            url: `/app/wcsc/expressList`,
            method: 'get',
            data
        })
    },
    // 退款单详情
    orderRefundDetail (aftersaleId) {
        return https({
            url: `/app/wcsc/orderRefundDetail/${aftersaleId}`,
            method: 'get'
        })
    },
    // 确认收货
    confirmReceipt (data) {
        return https({
            url: `/app/wcsc/confirmReceipt`,
            method: 'put',
            data
        })
    },
    // 继续支付
    getWcscOrderSession (data) {
        return https({
            url: `/app/wcsc/getWcscOrderSession`,
            method: 'get',
            data
        })
    },
	// 门店详情
    getStoreDetail (id) {
        return https({
            url: `/app/wcsc/getStoreDetail?id=${id}`,
            method: 'get'
        })
    },
}